CVE-2004-2447
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:10
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in 1st Class Mail Server 4.01 allows remote attackers to inject arbitrary web script or HTML via the Mailbox parameter to (1) viewmail.tagz, (2) the index script under /user/, (3) members.tagz, (4) general.tagz, (5) advanced.tagz, or (6) list.tagz.


[CNNVD]1st Class Internet Solutions 1st Class Mail Server存在多个输入验证漏洞(CNNVD-200412-446)

        
        1st Class Mail Server是一款包含基于WEB的邮件系统。
        1st Class Mail Server对用户提交的输入缺少充分的过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击,可能获得用户敏感信息。
        1st Class Mail Server多个脚本对用户提交的URI参数缺少过滤,提交恶意脚本代码,并诱使用户访问,可获得用户基于验证的敏感信息,导致非法访问。
        另外存在目录遍历问题,可以WEB权限查看系统上任意文件内容。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2447
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2447
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-446
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15815
(UNKNOWN)  XF  1stclass-multiple-xss(15815)
http://www.securityfocus.com/bid/10089
(UNKNOWN)  BID  10089
http://www.osvdb.org/5017
(UNKNOWN)  OSVDB  5017
http://www.osvdb.org/5016
(UNKNOWN)  OSVDB  5016
http://www.osvdb.org/5015
(UNKNOWN)  OSVDB  5015
http://www.osvdb.org/5014
(UNKNOWN)  OSVDB  5014
http://www.osvdb.org/5013
(UNKNOWN)  OSVDB  5013
http://www.osvdb.org/5012
(UNKNOWN)  OSVDB  5012
http://securitytracker.com/alerts/2004/Apr/1009705.html
(VENDOR_ADVISORY)  SECTRACK  1009705
http://secunia.com/advisories/11330
(VENDOR_ADVISORY)  SECUNIA  11330

- 漏洞信息

1st Class Internet Solutions 1st Class Mail Server存在多个输入验证漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        1st Class Mail Server是一款包含基于WEB的邮件系统。
        1st Class Mail Server对用户提交的输入缺少充分的过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击,可能获得用户敏感信息。
        1st Class Mail Server多个脚本对用户提交的URI参数缺少过滤,提交恶意脚本代码,并诱使用户访问,可获得用户基于验证的敏感信息,导致非法访问。
        另外存在目录遍历问题,可以WEB权限查看系统上任意文件内容。
        

- 公告与补丁

        厂商补丁:
        1st Class Internet Solutions
        ----------------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.1cis.com/

- 漏洞信息 (23937)

1st Class Mail Server 4.0 1 viewmail.tagz XSS (EDBID:23937)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info

Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.

1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/viewmail.tagz?Site=www.example.com&Mailbox=3&MessageIndex=[html_code]>		

- 漏洞信息 (23938)

1st Class Mail Server 4.0 1 Index XSS (EDBID:23938)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info
 
Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.
 
1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/?Site=www.example.com&Mailbox=[html_code]		

- 漏洞信息 (23939)

1st Class Mail Server 4.0 1 members.tagz XSS (EDBID:23939)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info
  
Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.
  
1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/members.tagz?Site=www.example.com&Mailbox=[html_code]
		

- 漏洞信息 (23940)

1st Class Mail Server 4.0 1 general.tagz XSS (EDBID:23940)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info
   
Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.
   
1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/general.tagz?Site=www.example.com&Mailbox=[html_code]		

- 漏洞信息 (23941)

1st Class Mail Server 4.0 1 advanced.tagz XSS (EDBID:23941)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info
    
Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.
    
1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/advanced.tagz?Site=www.example.com&Mailbox=<[html_code]>		

- 漏洞信息 (23942)

1st Class Mail Server 4.0 1 list.tagz XSS (EDBID:23942)
cgi webapps
2004-04-08 Verified
0 dr_insane
N/A [点击下载]
source: http://www.securityfocus.com/bid/10089/info
     
Multiple vulnerabilities have been identified in the application that may allow a remote attacker to carry out directory traversal and cross-site scripting attacks.
     
1st Class Mail Server version 4.01 is reported to be prone to these issues, however, it is possible that other versions are affected as well. 

http://www.example.com/AUTH=[some_value]/user/list.tagz?Site=www.example.com&Mailbox=[html_code] 		

- 漏洞信息

5012
1st Class Mail Server viewmail.tagz XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

1st Class Mail Server contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the MessageIndex variable upon submission to the viewmail.tagz script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-04-08 Unknow
2004-04-08 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站